<div class="row">
  <div class="col-6 m-auto">
    <div class="card m-auto">
      <div class="card-header">
        <h3>Login</h3>
      </div>
      <div class="card-body">

        <form #loginForm='ngForm' (ngSubmit)="onLogin(loginForm)">
          <div class="form-group col-12">
            <label>Name</label>
            <input class="form-control" required ngModel name="userName">
          </div>

          <div class="form-group col-12">
            <label>Password</label>
            <input class="form-control" required type="password" ngModel name="password">
          </div>

         <div class="form-group col-12">
            <button [disabled]="!loginForm.valid" type="submit" class="btn btn-primary">Login</button>
            <button type="button" class="btn btn-secondary m-2">Cancel</button>
          </div>
        </form>

      </div>
    </div>
  </div>
</div>
